Sign in Start for free

Team Memberships

Get a list of Team Memberships for a user

GET /api/{spaceId}/teammembership

Also reachable at /api/spaces/{spaceIdentifier}/teammembership, /api/spaces/{spaceIdentifier}/users/{userId}/teams, /api/teammembership, /api/users/{userId}/teams, /api/{spaceId}/users/{userId}/teams.

Lists all Teams a user is a member of, including any from external auth-provider security groups. Memberships are filtered by userId.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resources.

Query Parameters

  • userId string (required)
    ID of the user.

Response

200 — The requested Team Membership

  • ExternalSecurityGroups array of object
    • DisplayIdAndName boolean
    • DisplayName string
    • Id string
  • IsDirectlyAssigned boolean
  • SpaceId string
  • TeamId string
  • TeamName string
  • UserId string

Example Response

JSON
[
  {
    "ExternalSecurityGroups": [
      {
        "DisplayIdAndName": true,
        "DisplayName": "string",
        "Id": "string"
      }
    ],
    "IsDirectlyAssigned": true,
    "SpaceId": "string",
    "TeamId": "string",
    "TeamName": "string",
    "UserId": "string"
  }
]

Preview Users that would belong to the specified Team

POST /api/{spaceId}/teammembership/previewteam

Also reachable at /api/spaces/{spaceIdentifier}/teammembership/previewteam, /api/teammembership/previewteam.

Lists all the Users that would belong to the specified Team, including information about whether they are directly assigned and/or indirectly assigned via external security groups.

Path Parameters

  • spaceId string (required)

Request Body

  • Description string
  • ExternalSecurityGroups array of object (required)
    The externally-managed security groups (e.g., Active Directory groups) who belong to the team.
    • DisplayIdAndName boolean
    • DisplayName string
    • Id string
  • Id string
  • MemberUserIds array of string (required)
    The users who belong to the team.
  • Name string (required)
    Gets or sets the name of this team. Minimum length 1.
  • Slug string
  • SpaceId string

Response

200 — The requested Preview of Team Membership

  • ExternalSecurityGroups array of object
    • DisplayIdAndName boolean
    • DisplayName string
    • Id string
  • IsDirectlyAssigned boolean
  • SpaceId string
  • TeamId string
  • TeamName string
  • UserId string

Example Request

JSON
{
  "Description": "string",
  "ExternalSecurityGroups": [
    {
      "DisplayIdAndName": true,
      "DisplayName": "string",
      "Id": "string"
    }
  ],
  "Id": "string",
  "MemberUserIds": [
    "string"
  ],
  "Name": "string",
  "Slug": "string",
  "SpaceId": "string"
}

Example Response

JSON
[
  {
    "ExternalSecurityGroups": [
      {
        "DisplayIdAndName": true,
        "DisplayName": "string",
        "Id": "string"
      }
    ],
    "IsDirectlyAssigned": true,
    "SpaceId": "string",
    "TeamId": "string",
    "TeamName": "string",
    "UserId": "string"
  }
]